Subject: Re: Parser abilities, and MDCs (Re: pointers to openpgp-interopknowledge base?)

From: [email-masked]
Date: Thu, 8 Nov 2001 11:59:01 -0800

Derek Atkins writes:
> The reason Colin and I came up with this idea was the belief that
> 	a) we might want to encode data longer than 32 bits, and
> 	b) we needed a way to differentiate ourselves with the
> 	   then-existing PGP 2.x length-encoding scheme

Actually at NAI we have used this scheme to be able to handle > 2^32
bit files for one of our applications.  It was an astonishingly easy
modification to the code to be able to handle such large buffers, thanks
to Derek's and Colin's design, which we are still using.  In fact it
really came down to a two-line change to set the flag to use partial body
length packets in this case, and everything else worked automatically.
Most of the work was in identifying that the file was > 2^32 bits and
changing the APIs to pass that information into the place where it
was needed.

Hal